## org.eclipse.emf.ecoretools.diagram.edit.commands
Class EcoreCreateShortcutDecorationsCommand

    java.lang.Object
      org.eclipse.core.commands.operations.AbstractOperation
          org.eclipse.emf.workspace.AbstractEMFOperation
              org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand
                  org.eclipse.emf.ecoretools.diagram.edit.commands.EcoreCreateShortcutDecorationsCommand

All Implemented Interfaces:
  org.eclipse.core.commands.operations.IUndoableOperation, org.eclipse.gmf.runtime.common.core.command.ICommand, org.eclipse.gmf.runtime.common.core.internal.command.ICommandWithSettableResult

    public class EcoreCreateShortcutDecorationsCommand

extends org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand

Constructor Summary
`EcoreCreateShortcutDecorationsCommand(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain, org.eclipse.gmf.runtime.notation.View parentView, org.eclipse.gmf.runtime.diagram.ui.requests.CreateViewRequest.ViewDescriptor viewDescriptor)`
`EcoreCreateShortcutDecorationsCommand(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain, org.eclipse.gmf.runtime.notation.View parentView, java.util.List viewDescriptors)`

Method Summary
`protected org.eclipse.gmf.runtime.common.core.command.CommandResult` `doExecuteWithResult(org.eclipse.core.runtime.IProgressMonitor monitor, org.eclipse.core.runtime.IAdaptable info)`

Methods inherited from class org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand
`aggregateStatuses, cleanup, compose, didRedo, didUndo, doExecute, doRedo, doUndo, getAffectedFiles, getCommandResult, getWorkspaceFiles, getWorkspaceFiles, internalSetResult, reduce, setResult`

Methods inherited from class org.eclipse.emf.workspace.AbstractEMFOperation
`canRedo, canUndo, didCommit, dispose, execute, getChange, getEditingDomain, getOptions, redo, undo`

Methods inherited from class org.eclipse.core.commands.operations.AbstractOperation
`addContext, canExecute, getContexts, getLabel, hasContext, removeContext, setLabel, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.command.ICommand
`setLabel`

Methods inherited from interface org.eclipse.core.commands.operations.IUndoableOperation
`addContext, canExecute, canRedo, canUndo, dispose, execute, getContexts, getLabel, hasContext, redo, removeContext, undo`

Constructor Detail

### EcoreCreateShortcutDecorationsCommand

    public EcoreCreateShortcutDecorationsCommand(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain,
                                                 org.eclipse.gmf.runtime.notation.View parentView,
                                                 java.util.List viewDescriptors)

### EcoreCreateShortcutDecorationsCommand

    public EcoreCreateShortcutDecorationsCommand(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain,
                                                 org.eclipse.gmf.runtime.notation.View parentView,
                                                 org.eclipse.gmf.runtime.diagram.ui.requests.CreateViewRequest.ViewDescriptor viewDescriptor)

Method Detail

### doExecuteWithResult

    protected org.eclipse.gmf.runtime.common.core.command.CommandResult doExecuteWithResult(org.eclipse.core.runtime.IProgressMonitor monitor,
                                                                                            org.eclipse.core.runtime.IAdaptable info)
                                                                                     throws org.eclipse.core.commands.ExecutionException

  Specified by:
    `doExecuteWithResult` in class `org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand`
  Throws:
    `org.eclipse.core.commands.ExecutionException`

Copyright 2007 Anyware Technologies. All Rights Reserved.